/******************************************************************************
 *                                                                            *
 * File:   pcstat32.h         Version  1.01            Date: 2000-01-31       *
 *                                                                            *
 * Copyright (C) 1999-2000 by Kostis Netzwerkberatung                         *
 * Talstr. 25, D-63322 Rdermark, Tel. +49 6074 881056, FAX 881058            *
 * kosta@kostis.net (Kosta Kostis), http://www.kostis.net/                    *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     2000-01-31: KK V1.01                                                   *
 *        - see pcstat32.c                                                    *
 *                                                                            *
 *****************************************************************************/

/******************************************************************************

	Program Version Constants

 *****************************************************************************/

#ifdef WIN95A
#define PRGNAM          "pcstat95"
#else
#define PRGNAM          "pcstat32"
#endif

#define VERSION         "V1.01 (2000-01-31)"

/******************************************************************************

	Program Messages

 *****************************************************************************/

#define MSG_COPYRIGHT           "\
Copyright (C) 1999-2000 by Kostis Netzwerkberatung\n\
Talstr. 25, D-63322 Rdermark, Tel. +49 6074 881056, FAX 881058\n\
kosta@kostis.net (Kosta Kostis), http://www.kostis.net/\n"
#define MSG_VERSION             "%s %s\n"

/******************************************************************************

	Program Error Messages

 *****************************************************************************/

#define ERR_MSG_SYNTAX          "Syntax: %s [-csv]\n"

/******************************************************************************

	Program Constants

 *****************************************************************************/

#define DRV_C                   "c:\\"
#define	KB			1024L
#define	MB			1048576L
#define	MAC_MAXLEN		17
#define	COMPUTERNAME_MAXLEN	64
#define	HOSTNAME_MAXLEN		64
#define	USERNAME_MAXLEN		32
#define	DRIVENAME_MAXLEN	4
#define	LABEL_MAXLEN		12

/******************************************************************************

	Function/Program Return Codes

 *****************************************************************************/

#define ERR_NONE                0       /* everything seemed to work    */

#define ERR_BAD                 1       /* unconv. characters in input  */
#define ERR_SYNTAX              2       /* syntax error                 */
#define	ERR_OUT_OF_MEMORY	3	/* program out of memory        */
